Bug 838757 - xchat appears to expect an old version of python when loading plugins
xchat appears to expect an old version of python when loading plugins
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 22:03 EDT by Pete Travis
Modified: 2013-07-31 18:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:04:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2012-07-09 22:03:26 EDT
Description of problem:
xchat fails to load gtk-dependent python modules; in my case, pynotify.

Version-Release number of selected component (if applicable):
Name        : xchat
Epoch       : 1
Version     : 2.8.8
Release     : 13.fc17
Architecture: x86_64


How reproducible:
Attempt to load a module that imports pynotify pynotify

Steps to Reproduce:
1. Open xchat
2. /py exec import pynotify
  
Actual results:
xchat can't import pynotify, which fails while importing gtk:

Traceback (most recent call last):
   File "<string>", line 1, in <module>
   File "/usr/lib64/python2.7/site-packages/gtk-2.0/pynotify/__init__.py", line 19, in <module>
     import gtk
   File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 42, in <module>
     import gdk
 ImportError: No module named gdk

Expected results:
xchat can import pynotify

Additional info:
I wish I could offer more info, but I lack the expertise. pynotify and gtk work outside of xchat without issue.
Comment 1 Fedora End Of Life 2013-07-03 17:11:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 18:04:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.